diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 3931ca6..8c50117 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -18932,7 +18933,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="199"/>
         <source>Record this showing with override options</source>
-        <translation>Grabar este programa con opciones distintas</translation>
+        <translation>Grabar este programa con opciones excepcionales</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="202"/>
@@ -18947,7 +18948,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="215"/>
         <source>Record only this showing</source>
-        <translation>Grabar solo este programa</translation>
+        <translation>Grabar sólo este programa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="219"/>
@@ -18957,7 +18958,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="223"/>
         <source>Record in this timeslot every week</source>
-        <translation>Grabar este programa a esta hora cada semana</translation>
+        <translation>Grabar en esta franja horaria semanalmente</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="227"/>
@@ -18967,7 +18968,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="231"/>
         <source>Record in this timeslot every day</source>
-        <translation>Grabar este programa a esta hora cada dia</translation>
+        <translation>Grabar en esta franja horaria diariamente</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="235"/>
@@ -18977,12 +18978,12 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="239"/>
         <source>Record at any time on this channel</source>
-        <translation>Grabar siempre en este canal</translation>
+        <translation>Grabar en cualquier momento en este canal</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="243"/>
         <source>Record at any time on any channel</source>
-        <translation>Grabar siempre en cualquier canal</translation>
+        <translation>Grabar en cualquier momento y en cualquier canal</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="257"/>
@@ -19012,12 +19013,12 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="353"/>
         <source>Schedule Information</source>
-        <translation>Información Programación</translation>
+        <translation>Información de Programación</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="362"/>
         <source>Program Details</source>
-        <translation>Detalles Programa</translation>
+        <translation>Detalles del Programa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="363"/>
@@ -19032,7 +19033,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="365"/>
         <source>Previously scheduled</source>
-        <translation>Anteriormente programado</translation>
+        <translation>Anteriormente programadas</translation>
     </message>
 </context>
 <context>
@@ -19040,7 +19041,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="133"/>
         <source>%1 database schema is old. Waiting to see if DB is being upgraded.</source>
-        <translation>El esquema de bases de datos %1 está anticuado. Esperando para ver si la BD se puede actualizar.</translation>
+        <translation>El esquema %1 de la base de datos es obsoleto. Esperando a ver si la BD puede actualizarse.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="200"/>
@@ -19059,31 +19060,31 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="290"/>
         <source>There are also other clients using this database. They should be shut down first.</source>
-        <translation>Hay otros clientes usando esta base de datos. Deberían ser cerrados antes de proceder.</translation>
+        <translation>Otros clientes están usando también esta base de datos. Deberían apagarse antes de proceder.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="293"/>
         <source>Error: This version of Myth%1 requires MySQL %2.%3.%4 or later.  You seem to be running MySQL version %5.</source>
-        <translation>Error: Esta versión de Myth%1 requiere MySQL %2.%3.%4 o posterior. Parece que está ejecutando MySQL versión %5.</translation>
+        <translation>Error: Esta versión de Myth%1 requiere MySQL %2.%3.%4 o posterior. Al parecer, está ejecutándose MySQL versión %5.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="361"/>
         <source>Error: MythTV cannot upgrade the schema of this datatase because other clients are using it.
 
 Please shut them down before upgrading.</source>
-        <translation>Error: MythTV no puede actualizar el esquema de esta base de datos porque otros clientes la están usando
+        <translation>Error: MythTV no puede actualizar el esquema de esta base de datos porque otros clientes están usándola.
 
-Por favor, ciérrelos antes de actualizar.</translation>
+Por favor, apáguelos antes de actualizar.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="368"/>
         <source>Warning: MythTV wants to upgrade your database,</source>
-        <translation>Aletar: MythTV quiere actualizar su base de datos,</translation>
+        <translation>Aviso: MythTV desea actualizar su base de datos,</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="369"/>
         <source>for the %1 schema, from %2 to %3.</source>
-        <translation>del esquema %1, al %2 to %3.</translation>
+        <translation>para el esquema %1, del %2 al %3.</translation>
     </message>
     <message>
         <source>You can try using the old schema, but that may cause problems.</source>
@@ -19092,12 +19093,12 @@ Por favor, ciérrelos antes de actualizar.</translation>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="383"/>
         <source>This version of MythTV requires an updated database. </source>
-        <translation>Esta versión de MythTV requiere una base de datos actualizada.</translation>
+        <translation>Esta versión de MythTV requiere una base de datos actualizada. </translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="384"/>
         <source>(schema is %1 versions behind)</source>
-        <translation>(esquema está %1 versiones por detrás)</translation>
+        <translation>(el esquema está atrasado %1 versiones)</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="385"/>
@@ -19111,33 +19112,33 @@ Por favor, ciérrelos antes de actualizar.</translation>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="397"/>
         <source>Error: MythTV database has newer %1 schema (%2) than expected (%3).</source>
-        <translation>Error: la base de datos de MythTV tiene un esquema (%2) más nuevo %1 de lo esperado (%3).</translation>
+        <translation>Error: la base de datos de MythTV tiene un esquema %1 más reciente (%2) que el esperado (%3).</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="404"/>
         <source>MythTV was unable to backup your database.</source>
-        <translation>MythTV no pudo hacer copia de seguridad de la base de datos.</translation>
+        <translation>MythTV no pudo hacer una copia de seguridad de su base de datos.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="411"/>
         <source>Database Host: %1
 Database Name: %2</source>
-        <translation>Ordenador DB: %1
-Nombre DB: %2</translation>
+        <translation>Nodo de la Base de Datos: %1
+Nombre de la Base de Datos: %2</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="441"/>
         <source>If your system becomes unstable, a database backup file called
 %1
 is located in %2</source>
-        <translation>Si su sistema se vuelve inestable, una copia de la base de datos llamada
+        <translation>Si su sistema se vuelve inestable, podrá localizar un archivo copia de la base de datos llamado
 %1
-está en %2</translation>
+en %2</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/schemawizard.cpp" line="446"/>
         <source>This cannot be un-done, so having a database backup would be a good idea.</source>
-        <translation>Esto no tiene vuelta atrás, por lo que tener una copia de la base de datos es una buena idea.</translation>
+        <translation>Esta acción no podrá deshacerse, por lo que sería buena idea tener una copia de la base de datos.</translation>
     </message>
 </context>
 <context>
@@ -19155,7 +19156,6 @@ está en %2</translation>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/screenwizard.cpp" line="258"/>
         <source>Change amount: %n pixel(s)</source>
-        <translatorcomment>*** IMPORTANT *** Spanish translators, please verify. thank you! knight</translatorcomment>
         <translation>
             <numerusform>Cambiar cantidad: %n píxel</numerusform>
             <numerusform>Cambiar cantidad: %n píxeles</numerusform>
@@ -19174,7 +19174,7 @@ está en %2</translation>
     <message>
         <location filename="../programs/mythfrontend/screenwizard.cpp" line="283"/>
         <source>Reset Changes and Quit</source>
-        <translation>Borrar Cambios y Salir</translation>
+        <translation>Reiniciar Cambios y Salir</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/screenwizard.cpp" line="284"/>
@@ -19192,12 +19192,12 @@ está en %2</translation>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="72"/>
         <source>WARNING: The backend is currently running.</source>
-        <translation>ALERTA: El backend está en ejecución.</translation>
+        <translation>AVISO: El servidor está ejecutándose.</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="73"/>
         <source>Changing existing card inputs, deleting anything, or scanning for channels may not work.</source>
-        <translation>Cambiar las entradas existentes, borrar algo, o buscar canales puede no funcionar.</translation>
+        <translation>Cambiar las entradas existentes, eliminar algo, o buscar canales podría no funcionar.</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="77"/>
@@ -19207,17 +19207,17 @@ está en %2</translation>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="78"/>
         <source>If you stop the backend now these recordings will be stopped!</source>
-        <translation>Si detiene el backend estas grabaciones se detendrán!</translation>
+        <translation>¡Si detiene ahora el servidor estas grabaciones también se detendrán!</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="82"/>
         <source>Recording Status: None.</source>
-        <translation>Estado de Grabación: Nada.</translation>
+        <translation>Estado de Grabación: Ninguno.</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="103"/>
         <source>Stop Backend and Continue</source>
-        <translation>Para el Backend y Continuar</translation>
+        <translation>Detener el Servidor y Continuar</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/startprompt.cpp" line="105"/>
@@ -19298,27 +19298,27 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="769"/>
         <source>from source</source>
-        <translation>de fuente</translation>
+        <translation>desde la fuente</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="779"/>
         <source>on input</source>
-        <translation>en entrada</translation>
+        <translation>en la entrada</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="114"/>
         <source>Listings Status</source>
-        <translation>Estado Listados</translation>
+        <translation>Listas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="118"/>
         <source>Schedule Status</source>
-        <translation>Estado Programación</translation>
+        <translation>Programaciones</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="122"/>
         <source>Tuner Status</source>
-        <translation>Estado Sintonizadores</translation>
+        <translation>Sintonizadores</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="126"/>
@@ -19326,91 +19326,91 @@ Sin más detalles</translation>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="225"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="286"/>
         <source>Log Entries</source>
-        <translation>Entradas Log</translation>
+        <translation>Registro</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="130"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="299"/>
         <source>Job Queue</source>
-        <translation type="unfinished">Cola tareas</translation>
+        <translation>Tareas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="134"/>
         <source>Machine Status</source>
-        <translation>Estado Máquina</translation>
+        <translation>Máquina</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="138"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="357"/>
         <source>AutoExpire List</source>
-        <translation>Lista AutoExpiración</translation>
+        <translation>AutoExpiración</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="213"/>
         <source>Acknowledge all log entries at this priority level or lower?</source>
-        <translation>¿Admitir las entradas de log de esta prioridad o menos?</translation>
+        <translation>¿Aceptar todas las entradas de registro con este nivel de prioridad o menor?</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="230"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="233"/>
         <source>Setting priority level to %1</source>
-        <translation>Ajustando nivel prioridad a %1</translation>
+        <translation>Estableciendo nivel de prioridad en %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="288"/>
         <source>Acknowledge this log entry?</source>
-        <translation>Admitir esta entrada del log?</translation>
+        <translation>¿Aceptar esta entrada de registro?</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="308"/>
         <source>Delete Job?</source>
-        <translation>¿Borrar tarea?</translation>
+        <translation>¿Eliminar Tarea?</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="324"/>
         <source>Job Queue Actions:</source>
-        <translation type="unfinished">Acciones Cola Tareas:</translation>
+        <translation>Acciones de la Cola de Tareas:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="337"/>
         <source>Resume</source>
-        <translation type="unfinished">Reanudar</translation>
+        <translation>Reanudar</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="339"/>
         <source>Pause</source>
-        <translation type="unfinished">Pausar</translation>
+        <translation>Pausa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="340"/>
         <source>Stop</source>
-        <translation>Parar</translation>
+        <translation>Detener</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="341"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="384"/>
         <source>No Change</source>
-        <translation>Sin cambio</translation>
+        <translation>Sin Cambios</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="345"/>
         <source>Requeue Job?</source>
-        <translation>¿Reencolar tarea?</translation>
+        <translation>¿Volver a poner en Cola la Tarea?</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="363"/>
         <source>AutoExpire Actions:</source>
-        <translation>Acciones Autoexpiración:</translation>
+        <translation>Acciones de Autoexpiración:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="373"/>
         <source>Delete Now</source>
-        <translation>Borrar Ahora</translation>
+        <translation>Eliminar Ahora</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="376"/>
         <source>Move to Default group</source>
-        <translation>Mover al grupo Default</translation>
+        <translation>Mover al grupo Por Defecto</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="380"/>
@@ -19425,7 +19425,7 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="522"/>
         <source>Listings Status shows the latest status information from mythfilldatabase</source>
-        <translation>El estado de los listados muestra la última información del estado de mythfilldatabase</translation>
+        <translation>El Estado de Listas muestra la última información del estado de mythfilldatabase</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="555"/>
@@ -19435,17 +19435,17 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="557"/>
         <source>Last mythfilldatabase guide update:</source>
-        <translation>Última actualización guía mythfilldatabase:</translation>
+        <translation>Última actualización de la guía por mythfilldatabase:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="558"/>
         <source>Started:   %1</source>
-        <translation>Comenzó:   %1</translation>
+        <translation>Comenzó el:   %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="565"/>
         <source>Finished: %1</source>
-        <translation>Terminó: %1</translation>
+        <translation>Finalizó el: %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="570"/>
@@ -19455,7 +19455,7 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="575"/>
         <source>Suggested Next: %1</source>
-        <translation>Próximo Sugerido: %1</translation>
+        <translation>Próxima Sugerida: %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="584"/>
@@ -19470,7 +19470,7 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="591"/>
         <source>There is guide data until %1</source>
-        <translation>Hay datos en la guía hasta %1</translation>
+        <translation>Hay datos en la guía hasta el %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="753"/>
@@ -19485,89 +19485,93 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="841"/>
         <source>is watching Live TV</source>
-        <translation>está viendo TV en Vivo</translation>
+        <translation>está viendo la TV en Vivo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="903"/>
         <source>On %1 from %2.%3
 %4
 </source>
-        <translation type="unfinished">En %1 desde %2.%3
+        <translation>En %1 desde %2.%3
 %4
 </translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="914"/>
         <source>No further details</source>
-        <translation type="unfinished"></translation>
+        <translation>No hay más detalles</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="935"/>
         <source>Job Queue shows any jobs currently in MythTV&apos;s Job Queue such as a commercial detection job.</source>
-        <translation type="unfinished"></translation>
+        <translation>La Cola de Tareas muestra las tareas existentes actualmente en la Cola de MythTV como la detección de anuncios.</translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1411"/>
         <source>%n (is) LiveTV and consume(s) %1
 </source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>%n procede de la TV en Vivo y consume %1
+</numerusform>
+            <numerusform>%n proceden de la TV en Vivo y consumen %1
+</numerusform>
         </translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1415"/>
         <source>%n (is) Deleted and consume(s) %1
 </source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>%n fue eliminada y consume %1
+</numerusform>
+            <numerusform>%n fueron eliminadas y consumen %1
+</numerusform>
         </translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="600"/>
         <source>WARNING: is mythfilldatabase running?</source>
-        <translation type="unfinished">AVISO: ¿se está ejecutando mythfilldatabase?</translation>
+        <translation>AVISO: ¿se está ejecutando mythfilldatabase?</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="605"/>
         <source>DataDirect Status: </source>
-        <translation type="unfinished">Estado DataDirect: </translation>
+        <translation>Estado de DataDirect: </translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="617"/>
         <source>Schedule Status shows current statistics from the scheduler.</source>
-        <translation type="unfinished"></translation>
+        <translation>El Estado de las Programaciones muestra las estadísticas actuales del programados.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="791"/>
         <source>Tuner Status shows the current information about the state of backend tuner cards</source>
-        <translation type="unfinished">El estado del sintonizador muestra la información actual sobre el estado de los sintonizadores</translation>
+        <translation>El Estado de los Sintonizadores muestra información actual sobre el estado de las tarjetas sintonizadoras del servidor</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="836"/>
         <source>is asleep</source>
-        <translation type="unfinished"></translation>
+        <translation>está dormido</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="848"/>
         <source>Tuner %1 %2 %3</source>
-        <translation type="unfinished"></translation>
+        <translation>Sintonizador %1 %2 %3</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="881"/>
         <source>Log Entries shows any unread log entries from the system if you have logging enabled</source>
-        <translation type="unfinished">Entradas del Log muestra entradas no leídas del sistema si tiene el logue activado</translation>
+        <translation>Las Entradas del Registro muestra las entradas no leídas del sistema si está activada la función de registro</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="922"/>
         <source>No items found at priority level %1 or lower.</source>
-        <translation type="unfinished">No hay elementos en prioridad %1 o menor.</translation>
+        <translation>No hay elementos con nivel de prioridad %1 o menor.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="924"/>
         <source>Use 1-8 to change priority level.</source>
-        <translation type="unfinished">Use 1-8 para cambiar prioridad.</translation>
+        <translation>Use 1-8 para cambiar el nivel de prioridad.</translation>
     </message>
     <message>
         <source>Job Queue shows any jobs currently in Myth&apos;s Job Queue such as a commercial flagging job.</source>
@@ -19576,7 +19580,7 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="999"/>
         <source>Job Queue is currently empty.</source>
-        <translation type="unfinished">La cola está vacía.</translation>
+        <translation>La Cola de Tareas está actualmente vacía.</translation>
     </message>
     <message>
         <source>average</source>
@@ -19589,28 +19593,28 @@ Sin más detalles</translation>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1179"/>
         <source>Machine Status shows some operating system statistics of this machine</source>
-        <translation type="unfinished">Estado Máquina muestra algunas estadísticas del SO de esta máquina</translation>
+        <translation>El Estado de la Máquina muestra estadísticas del sistema operativo de esta máquina</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1182"/>
         <source>and the MythTV server</source>
-        <translation type="unfinished">y el servidor MythTV</translation>
+        <translation>y el servidor MythTV</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1195"/>
         <source>System:</source>
-        <translation type="unfinished"></translation>
+        <translation>Sistema:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1197"/>
         <source>This machine:</source>
-        <translation type="unfinished"></translation>
+        <translation>Esta máquina:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1206"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1254"/>
         <source>Load</source>
-        <translation type="unfinished">Carga</translation>
+        <translation>Carga</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1209"/>
